FreeMat

- Main Page
- Related Pages

vtkTableToArray

Section: Visualization Toolkit Infovis Classes

# Usage

Converts a vtkTable into a dense matrix. Use AddColumn() to designate one-to-many table columns that will become columns in the output matrix.

To create an instance of class vtkTableToArray, simply invoke its constructor as follows

      obj = vtkTableToArray

# Methods

The class vtkTableToArray has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkTableToArray class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkTableToArray = obj.NewInstance ()`
- `vtkTableToArray = obj.SafeDownCast (vtkObject o)`
- `obj.ClearColumns ()` - Specify the set of input table columns that will be mapped to columns in the output matrix.
- `obj.AddColumn (string name)` - Specify the set of input table columns that will be mapped to columns in the output matrix.